%define up_name libqaccessibilityclient
%define rel 4

Name:           libqaccessibilityclient-qt5
Version:        0.4.1
Release:        %mkrel %{rel}
Summary:        Accessibilty tools helper library
Group:          Graphical desktop/KDE
License:        LGPLv2+
URL:            https://cgit.kde.org/libqaccessibilityclient.git/
Source0:        https://download.kde.org/stable/%{up_name}/%{up_name}-%{version}.tar.xz

BuildRequires:  kf5-macros
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)


%description
Helper to make writing accessibility tools easier.

%files
%doc AUTHORS ChangeLog README.md
%license COPYING
%{_bindir}/accessibleapps
%{_bindir}/dumper

#--------------------------------------------------------------------

%define libqaccessibilityclient_qt5_major 0
%define libqaccessibilityclient_qt5 %mklibname qaccessibilityclient-qt5_ %{libqaccessibilityclient_qt5_major}

%package -n %{libqaccessibilityclient_qt5}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libqaccessibilityclient_qt5}
Runtime library for %{name}.
 
%files -n %{libqaccessibilityclient_qt5}
%{_libdir}/libqaccessibilityclient-qt5.so.%{libqaccessibilityclient_qt5_major}{,.*}

#----------------------------------------------------------------------

%define libqaccessibilityclient_qt5_devel %mklibname qaccessibilityclient-qt5 -d

%package -n %{libqaccessibilityclient_qt5_devel}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libqaccessibilityclient_qt5} = %{version}-%{release}
Provides:       qaccessibilityclient-qt5-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libqaccessibilityclient_qt5_devel}
Development files for %{name}.

%files -n %{libqaccessibilityclient_qt5_devel}
%{_libdir}/libqaccessibilityclient-qt5.so
%{_includedir}/qaccessibilityclient/
%{_libdir}/cmake/QAccessibilityClient/

#---------------------------------------------------------------------

%prep
%setup -q -n %{up_name}-%{version}
%autopatch -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 0.4.1-4.mga9
+ Revision: 1842120
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.4.1-3.mga8
+ Revision: 1658950
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.4.1-2.mga8
+ Revision: 1526490
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon May 20 2019 daviddavid <daviddavid> 0.4.1-1.mga7
+ Revision: 1398631
- new version: 0.4.1

* Sun Mar 31 2019 umeabot <umeabot> 0.4.0-2.mga7
+ Revision: 1383143
- Qt5 Rebuild

* Thu Mar 07 2019 daviddavid <daviddavid> 0.4.0-1.mga7
+ Revision: 1372183
- new version: 0.4.0

* Mon Nov 19 2018 daviddavid <daviddavid> 0.3.0-1.mga7
+ Revision: 1331780
- new version: 0.3.0
- remove merged upstream patch

* Wed Sep 26 2018 daviddavid <daviddavid> 0.2.0-2.mga7
+ Revision: 1306365
- patch0: fix build with gcc8
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Thu Apr 12 2018 daviddavid <daviddavid> 0.2.0-1.mga7
+ Revision: 1217806
- initial package libqaccessibilityclient-qt5

